## ansible 2.6.3+dfsg

=== debian/changelog ===
ansible (2.6.3+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 31 Aug 2018 16:02:49 +0200

ansible (2.6.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 20 Aug 2018 15:53:28 +0200

ansible (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Avoid loading host/group vars from cwd when not specifying a playbook or
    playbook base dir (CVE-2018-10874)
  * Avoid using ansible.cfg in a world writable dir (CVE-2018-10875)

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 11 Jul 2018 23:25:18 +0200

ansible (2.5.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 15 Jun 2018 17:01:00 +0200

ansible (2.5.3+dfsg-2) unstable; urgency=medium

  * Merge the alioth and salsa repos
  * Fix again README.rst that was accidentally reverted in the previous upload
    (Closes: #898433)
  * Update VCS fields in debian/control to point to salsa.debian.org.

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 19 May 2018 19:37:54 +0200

ansible (2.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 18 May 2018 13:50:03 +0200

ansible (2.5.2+dfsg-2) unstable; urgency=medium

  * Correct d/docs to point to README.rst.  (Closes: #898433)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 12 May 2018 14:46:38 -0400

## ansible 2.6.4+dfsg

=== debian/changelog ===
ansible (2.6.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Lee Garrett <debian@rocketjump.eu>  Sun, 09 Sep 2018 20:07:55 +0200

=== debian/control ===
Source: ansible
Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
Uploaders: Michael Vogt <mvo@debian.org>, Lee Garrett <debian@rocketjump.eu>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all,
               python-crypto,
               python-setuptools,
               python-yaml,
               asciidoc,
               python-nose,
               python-passlib,
               dh-python
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/debian/ansible
Vcs-Git: https://salsa.debian.org/debian/ansible.git
Homepage: https://www.ansible.com

Package: ansible
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-crypto,
         python-yaml,
         openssh-client | python-paramiko,
         python-jinja2,
         python-httplib2,
         python-netaddr
Recommends: python-cryptography,
            python-jmespath,
            python-kerberos,
            python-libcloud,
            python-selinux,
            python-winrm (>= 0.1.1),
            python-xmltodict
Suggests: cowsay, sshpass
Description: Configuration management, deployment, and task execution system
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.

#Package: ansible-doc
#Architecture: all
#Section: doc
#Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
#Description: Ansible documentation and examples
# Ansible is a radically simple model-driven configuration management,
# multi-node deployment, and remote task execution system. Ansible works
# over SSH and does not require any software or daemons to be installed
# on remote nodes. Extension modules can be written in any language and
# are transferred to managed machines automatically.
# .
# This package contains HTML documentation and examples.

## ansible 2.6.5+dfsg

=== packaging/port/sysutils/ansible/Makefile ===
# $FreeBSD$

PORTNAME=	ansible
PORTVERSION=	2.1
PORTREVISION=	1
CATEGORIES=	python net-mgmt sysutils
MASTER_SITES=	https://releases.ansible.com/ansible/
DISTNAME=	${PORTNAME}-${PORTVERSION}

MAINTAINER=	bcoca@ansible.com
COMMENT=	Ansible ssh based config management framework

LICENSE=	GPLv3
LICENSE_FILE=	${WRKSRC}/COPYING

RUN_DEPENDS=	python>2.5:${PORTSDIR}/lang/python \
               ${PORTSDIR}/devel/py-Jinja2 \
               ${PORTSDIR}/devel/py-yaml \
               ${PORTSDIR}/security/py-paramiko \
               ${PORTSDIR}/devel/py-simplejson \
               ${PORTSDIR}/security/py-pycrypto

OPTIONS_DEFINE=	EXAMPLES

FETCH_ARGS=	-pRr

USE_PYTHON=	yes
USE_PYDISTUTILS=	yes

CPE_VENDOR=	Ansible Inc

SUB_FILES=	pkg-message

PLIST_FILES+=	man/man1/ansible-doc.1.gz \
                man/man1/ansible-galaxy.1.gz \
                man/man1/ansible-playbook.1.gz \
                man/man1/ansible-pull.1.gz \
                man/man1/ansible-vault.1.gz \
                man/man1/ansible.1.gz

PORTEXAMPLES=	ansible.cfg hosts

post-patch:
.for f in bin/ansible-galaxy docs/man/man1/ansible-galaxy.1 \
        docs/man/man1/ansible-playbook.1 docs/man/man1/ansible.1 \
        examples/ansible.cfg examples/hosts lib/ansible/constants.py \
        lib/ansible/module_utils/urls.py lib/ansible/modules/core/system/setup.py \
        lib/ansible/playbook/__init__.py lib/ansible/runner/__init__.py
        @${REINPLACE_CMD} -e 's|/etc/ansible|${ETCDIR}|' ${WRKSRC}/${f}
.endfor

.for f in docs/man/man1/ansible-playbook.1 docs/man/man1/ansible.1 \
        examples/ansible.cfg lib/ansible/constants.py \
        lib/ansible/playbook/__init__.py lib/ansible/runner/__init__.py \
        @${REINPLACE_CMD} -e 's|/usr/share/ansible|${DATADIR}|' ${WRKSRC}/${f}
.endfor

post-install:
				@${MKDIR} ${STAGEDIR}${MAN1PREFIX}/man/man1
				${INSTALL_MAN} ${WRKSRC}/docs/man/man1/*.1 \
            ${STAGEDIR}${MAN1PREFIX}/man/man1
				@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
				${INSTALL_DATA} ${WRKSRC}/examples/ansible.cfg ${STAGEDIR}${EXAMPLESDIR}
				${INSTALL_DATA} ${WRKSRC}/examples/hosts ${STAGEDIR}${EXAMPLESDIR}

.include <bsd.port.mk>

=== debian/changelog ===
ansible (2.6.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Greetings from the Chemnitz BSP!

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 29 Sep 2018 15:24:01 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 -Spython_distutils

#override_dh_auto_build:
#	dh_auto_build
#	# html documentation
#	make webdocs

## ansible 2.7.1+dfsg

=== debian/changelog ===
ansible (2.7.1+dfsg-2) unstable; urgency=medium

  * Add build-depends to python-packaging (Closes: #912995)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 13 Nov 2018 11:03:34 +0100

ansible (2.7.1+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Lee Garrett ]
  * New upstream release
  * Move from asciidoc to docutils (Closes: #894188)
  * Document packaging build process (Closes: #911027)

 -- Lee Garrett <debian@rocketjump.eu>  Sun, 28 Oct 2018 14:06:43 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Build-Depends: debhelper (>= 9),
                python-all,
                python-crypto,
+               python-docutils,
+               python-packaging,
                python-setuptools,
                python-yaml,
-               asciidoc,
                python-nose,
                python-passlib,
                dh-python

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 -Spython_distutils

override_dh_clean:
	dh_clean --exclude=test/units/inventory_test_data/group_vars/noparse/all.yml~

override_dh_installdocs:
	make docs
	dh_installdocs

#override_dh_auto_build:
#	dh_auto_build
#	# html documentation
#	make webdocs

## ansible 2.7.5+dfsg

=== test/runner/Makefile ===
.PHONY: all sanity units

all: sanity units

sanity:
	./ansible-test sanity test/runner/ ${TEST_FLAGS}

units:
	PYTHONPATH=. pytest units ${TEST_FLAGS}

=== debian/changelog ===
ansible (2.7.5+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 28 Dec 2018 21:33:48 -0500

ansible (2.7.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Remove any loading of external resources from the docs
  * Only symlink JS that dh_sphinxdoc doesn't take care of
  * Override lintian for a long line in layout.html
  * Build ansible-doc again (Closes: #848871)
  * Add build-depends to python-jinja2 (Closes: #915316)
  * Bump Standards-Version (no changes needed)

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 19 Dec 2018 11:35:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,19 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python-all,
                python-crypto,
                python-docutils,
+               python-jinja2,
+               python-nose,
                python-packaging,
+               python-passlib,
                python-setuptools,
+               python-sphinx,
+               python-sphinx-rtd-theme,
                python-yaml,
-               python-nose,
-               python-passlib,
-               dh-python
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian/ansible
 Vcs-Git: https://salsa.debian.org/debian/ansible.git
 Homepage: https://www.ansible.com
@@ -43,15 +46,20 @@
  on remote nodes. Extension modules can be written in any language and
  are transferred to managed machines automatically.
 
-#Package: ansible-doc
-#Architecture: all
-#Section: doc
-#Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
-#Description: Ansible documentation and examples
-# Ansible is a radically simple model-driven configuration management,
-# multi-node deployment, and remote task execution system. Ansible works
-# over SSH and does not require any software or daemons to be installed
-# on remote nodes. Extension modules can be written in any language and
-# are transferred to managed machines automatically.
-# .
-# This package contains HTML documentation and examples.
+Package: ansible-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends},
+         fonts-font-awesome,
+         fonts-roboto-fontface,
+         libjs-jquery,
+         libjs-modernizr,
+         libjs-underscore
+Description: Ansible documentation and examples
+ Ansible is a radically simple model-driven configuration management,
+ multi-node deployment, and remote task execution system. Ansible works
+ over SSH and does not require any software or daemons to be installed
+ on remote nodes. Extension modules can be written in any language and
+ are transferred to managed machines automatically.
+ .
+ This package contains HTML documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ansible
export ANSIBLE_LOCAL_TEMP=debian/.ansible/tmp

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean --exclude=test/units/inventory_test_data/group_vars/noparse/all.yml~

override_dh_auto_build:
	dh_auto_build
	# html documentation
	$(MAKE) webdocs
	# manpage documentation
	$(MAKE) docs

override_dh_auto_test:
	# For now, disable the tests
	#make tests-nonet

## ansible 2.7.6+dfsg

=== debian/changelog ===
ansible (2.7.6+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Support 'nodoc' build profile
  * Add sphinxdoc dependencies
  * Bump Standards-Version to 4.3.0 (no changes needed)

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 26 Jan 2019 15:16:27 +0100

ansible (2.7.5+dfsg-2) experimental; urgency=medium

  * Switch to python3. (Closes: #850669)

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 31 Dec 2018 01:02:08 +0100

## ansible 2.7.7+dfsg

=== Makefile ===
# WARN: gmake syntax
########################################################
# Makefile for Ansible
#
# useful targets:
#   make sdist ---------------- produce a tarball
#   make srpm ----------------- produce a SRPM
#   make rpm  ----------------- produce RPMs
#   make deb-src -------------- produce a DEB source
#   make deb ------------------ produce a DEB
#   make docs ----------------- rebuild the manpages (results are checked in)
#   make tests ---------------- run the tests (see https://docs.ansible.com/ansible/devel/dev_guide/testing_units.html for requirements)
#   make pyflakes, make pep8 -- source code checks

########################################################
# variable section

NAME = ansible
OS = $(shell uname -s)
PREFIX ?= '/usr/local'

# This doesn't evaluate until it's called. The -D argument is the
# directory of the target file ($@), kinda like `dirname`.
MANPAGES ?= $(patsubst %.rst.in,%,$(wildcard ./docs/man/man1/ansible*.1.rst.in))
ifneq ($(shell which rst2man 2>/dev/null),)
ASCII2MAN = rst2man $< $@
else ifneq ($(shell which rst2man.py 2>/dev/null),)
ASCII2MAN = rst2man.py $< $@
else
ASCII2MAN = @echo "ERROR: rst2man from docutils command is not installed but is required to build $(MANPAGES)" && exit 1
endif
GENERATE_CLI = docs/bin/generate_man.py

PYTHON=python
SITELIB = $(shell $(PYTHON) -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

# fetch version from project release.py as single source-of-truth
VERSION := $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --raw || echo error)
ifeq ($(findstring error,$(VERSION)), error)
$(error "version_helper failed")
endif

MAJOR_VERSION := $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --majorversion)
CODENAME := $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --codename)

# if a specific release was not requested, set to 1 (RPMs have "fancier" logic for this further down)
RELEASE ?= 1

# Get the branch information from git
ifneq ($(shell which git),)
GIT_DATE := $(shell git log -n 1 --format="%ai")
GIT_HASH := $(shell git log -n 1 --format="%h")
GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD | sed 's/[-_.\/]//g')
GITINFO = .$(GIT_HASH).$(GIT_BRANCH)
else
GITINFO = ""
endif

ifeq ($(shell echo $(OS) | egrep -c 'Darwin|FreeBSD|OpenBSD|DragonFly'),1)
DATE := $(shell date -j -r $(shell git log -n 1 --format="%at") +%Y%m%d%H%M)
CPUS ?= $(shell sysctl hw.ncpu|awk '{print $$2}')
else
DATE := $(shell date --utc --date="$(GIT_DATE)" +%Y%m%d%H%M)
CPUS ?= $(shell nproc)
endif

# DEB build parameters
DEBUILD_BIN ?= debuild
DEBUILD_OPTS = --source-option="-I"
DPUT_BIN ?= dput
DPUT_OPTS ?=
DEB_DATE := $(shell LC_TIME=C date +"%a, %d %b %Y %T %z")
DEB_VERSION ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --debversion)
ifeq ($(OFFICIAL),yes)
    DEB_RELEASE ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --debrelease)ppa
    # Sign OFFICIAL builds using 'DEBSIGN_KEYID'
    # DEBSIGN_KEYID is required when signing
    ifneq ($(DEBSIGN_KEYID),)
        DEBUILD_OPTS += -k$(DEBSIGN_KEYID)
    endif
else
    DEB_RELEASE ?= 100.git$(DATE)$(GITINFO)
    # Do not sign unofficial builds
    DEBUILD_OPTS += -uc -us
    DPUT_OPTS += -u
endif
DEBUILD = $(DEBUILD_BIN) $(DEBUILD_OPTS)
DEB_PPA ?= ppa
# Choose the desired Ubuntu release: lucid precise saucy trusty
DEB_DIST ?= unstable

# pbuilder parameters
PBUILDER_ARCH ?= amd64
PBUILDER_CACHE_DIR = /var/cache/pbuilder
PBUILDER_BIN ?= pbuilder
PBUILDER_OPTS ?= --debootstrapopts --variant=buildd --architecture $(PBUILDER_ARCH) --debbuildopts -b

# RPM build parameters
RPMSPECDIR= packaging/rpm
RPMSPEC = $(RPMSPECDIR)/ansible.spec
RPMDIST = $(shell rpm --eval '%{?dist}')

ifneq ($(OFFICIAL),yes)
    RPMRELEASE = 100.git$(DATE)$(GITINFO)
endif
ifeq ($(PUBLISH),nightly)
    # https://fedoraproject.org/wiki/Packaging:Versioning#Snapshots
    RPMRELEASE = $(RELEASE).$(DATE)git.$(GIT_HASH)
endif

RPMVERSION ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --baseversion)
RPMRELEASE ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --rpmrelease)
RPMNVR = "$(NAME)-$(RPMVERSION)-$(RPMRELEASE)$(RPMDIST)$(REPOTAG)"

# MOCK build parameters
MOCK_BIN ?= mock
MOCK_CFG ?=

# dynamically add repotag define only if specified
ifneq ($(REPOTAG),)
    EXTRA_RPM_DEFINES += --define "repotag $(REPOTAG)"
endif

# ansible-test parameters
ANSIBLE_TEST ?= bin/ansible-test
TEST_FLAGS ?=

# ansible-test units parameters (make test / make test-py3)
PYTHON_VERSION ?= $(shell python2 -c 'import sys; print("%s.%s" % sys.version_info[:2])')
PYTHON3_VERSION ?= $(shell python3 -c 'import sys; print("%s.%s" % sys.version_info[:2])')

# ansible-test integration parameters (make integration)
IMAGE ?= centos7
TARGET ?=

########################################################

.PHONY: all
all: clean python

.PHONY: tests
tests:
	$(ANSIBLE_TEST) units -v --python $(PYTHON_VERSION) $(TEST_FLAGS)

.PHONY: tests-py3
tests-py3:
	$(ANSIBLE_TEST) units -v --python $(PYTHON3_VERSION) $(TEST_FLAGS)

.PHONY: tests-nonet
tests-nonet:
	$(ANSIBLE_TEST) units -v --python $(PYTHON_VERSION) $(TEST_FLAGS)  --exclude test/units/modules/network/

.PHONY: integration
integration:
	$(ANSIBLE_TEST) integration -v --docker $(IMAGE) $(TARGET) $(TEST_FLAGS)

.PHONY: authors
authors:
	sh hacking/authors.sh

# Regenerate %.1.rst if %.1.rst.in has been modified more
# recently than %.1.rst.
%.1.rst: %.1.rst.in
	sed "s/%VERSION%/$(VERSION)/" $< > $@
	rm $<

# Regenerate %.1 if %.1.rst or release.py has been modified more
# recently than %.1. (Implicitly runs the %.1.rst recipe)
%.1: %.1.rst lib/ansible/release.py
	$(ASCII2MAN)

.PHONY: loc
loc:
	sloccount lib library bin

.PHONY: pep8
pep8:
	$(ANSIBLE_TEST) sanity --test pep8 --python $(PYTHON_VERSION) $(TEST_FLAGS)

.PHONY: pyflakes
pyflakes:
	pyflakes lib/ansible/*.py lib/ansible/*/*.py bin/*

.PHONY: clean
clean:
	@echo "Cleaning up distutils stuff"
	rm -rf build
	rm -rf dist
	rm -rf lib/ansible.egg-info/
	@echo "Cleaning up byte compiled python stuff"
	find . -type f -regex ".*\.py[co]$$" -delete
	find . -type d -name "__pycache__" -delete
	@echo "Cleaning up editor backup files"
	find . -type f -not -path ./test/units/inventory_test_data/group_vars/noparse/all.yml~ \( -name "*~" -or -name "#*" \) -delete
	find . -type f \( -name "*.swp" \) -delete
	@echo "Cleaning up manpage stuff"
	find ./docs/man -type f -name "*.xml" -delete
	find ./docs/man -type f -name "*.rst" -delete
	find ./docs/man/man3 -type f -name "*.3" -delete
	rm -f ./docs/man/man1/*
	@echo "Cleaning up output from test runs"
	rm -rf test/test_data
	rm -rf shippable/
	rm -rf logs/
	rm -rf .cache/
	rm -f test/units/.coverage*
	rm -rf test/results/*/*
	find test/ -type f -name '*.retry' -delete
	@echo "Cleaning up RPM building stuff"
	rm -rf MANIFEST rpm-build
	@echo "Cleaning up Debian building stuff"
	rm -rf debian
	rm -rf deb-build
	rm -rf docs/json
	rm -rf docs/js
	@echo "Cleaning up authors file"
	rm -f AUTHORS.TXT
	@echo "Cleaning up docsite"
	$(MAKE) -C docs/docsite clean

.PHONY: python
python:
	$(PYTHON) setup.py build

.PHONY: install
install:
	$(PYTHON) setup.py install

install_manpages:
	gzip -9 $(wildcard ./docs/man/man1/ansible*.1)
	cp $(wildcard ./docs/man/man1/ansible*.1.gz) $(PREFIX)/man/man1/

.PHONY: sdist
sdist: clean docs
	$(PYTHON) setup.py sdist

.PHONY: sdist_upload
sdist_upload: clean docs
	$(PYTHON) setup.py sdist upload 2>&1 |tee upload.log

.PHONY: changelog
changelog:
	packaging/release/changelogs/changelog.py release -vv && packaging/release/changelogs/changelog.py generate -vv

.PHONY: rpmcommon
rpmcommon: sdist
	@mkdir -p rpm-build
	@cp dist/*.gz rpm-build/
	@cp $(RPMSPEC) rpm-build/$(NAME).spec

.PHONY: mock-srpm
mock-srpm: /etc/mock/$(MOCK_CFG).cfg rpmcommon
	$(MOCK_BIN) -r $(MOCK_CFG) $(MOCK_ARGS) --resultdir rpm-build/ --bootstrap-chroot --old-chroot --buildsrpm --spec rpm-build/$(NAME).spec --sources rpm-build/ \
	--define "rpmversion $(RPMVERSION)" \
	--define "upstream_version $(VERSION)" \
	--define "rpmrelease $(RPMRELEASE)" \
	$(EXTRA_RPM_DEFINES)
	@echo "#############################################"
	@echo "Ansible SRPM is built:"
	@echo rpm-build/*.src.rpm
	@echo "#############################################"

.PHONY: mock-rpm
mock-rpm: /etc/mock/$(MOCK_CFG).cfg mock-srpm
	$(MOCK_BIN) -r $(MOCK_CFG) $(MOCK_ARGS) --resultdir rpm-build/ --bootstrap-chroot --old-chroot --rebuild rpm-build/$(NAME)-*.src.rpm \
	--define "rpmversion $(RPMVERSION)" \
	--define "upstream_version $(VERSION)" \
	--define "rpmrelease $(RPMRELEASE)" \
	$(EXTRA_RPM_DEFINES)
	@echo "#############################################"
	@echo "Ansible RPM is built:"
	@echo rpm-build/*.noarch.rpm
	@echo "#############################################"

.PHONY: srpm
srpm: rpmcommon
	@rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir $(RPMSPECDIR)" \
	--define "_sourcedir %{_topdir}" \
	--define "upstream_version $(VERSION)" \
	--define "rpmversion $(RPMVERSION)" \
	--define "rpmrelease $(RPMRELEASE)" \
	$(EXTRA_RPM_DEFINES) \
	-bs rpm-build/$(NAME).spec
	@rm -f rpm-build/$(NAME).spec
	@echo "#############################################"
	@echo "Ansible SRPM is built:"
	@echo "    rpm-build/$(RPMNVR).src.rpm"
	@echo "#############################################"

.PHONY: rpm
rpm: rpmcommon
	@rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir $(RPMSPECDIR)" \
	--define "_sourcedir %{_topdir}" \
	--define "_rpmfilename $(RPMNVR).%%{ARCH}.rpm" \
	--define "__python `which $(PYTHON)`" \
	--define "upstream_version $(VERSION)" \
	--define "rpmversion $(RPMVERSION)" \
	--define "rpmrelease $(RPMRELEASE)" \
	$(EXTRA_RPM_DEFINES) \
	-ba rpm-build/$(NAME).spec
	@rm -f rpm-build/$(NAME).spec
	@echo "#############################################"
	@echo "Ansible RPM is built:"
	@echo "    rpm-build/$(RPMNVR).noarch.rpm"
	@echo "#############################################"

.PHONY: debian
debian: sdist
	@for DIST in $(DEB_DIST) ; do \
	    mkdir -p deb-build/$${DIST} ; \
	    tar -C deb-build/$${DIST} -xvf dist/$(NAME)-$(VERSION).tar.gz ; \
	    cp -a packaging/debian deb-build/$${DIST}/$(NAME)-$(VERSION)/ ; \
        sed -ie "s|%VERSION%|$(DEB_VERSION)|g;s|%RELEASE%|$(DEB_RELEASE)|;s|%DIST%|$${DIST}|g;s|%DATE%|$(DEB_DATE)|g" deb-build/$${DIST}/$(NAME)-$(VERSION)/debian/changelog ; \
	done

.PHONY: deb
deb: deb-src
	@for DIST in $(DEB_DIST) ; do \
	    PBUILDER_OPTS="$(PBUILDER_OPTS) --distribution $${DIST} --basetgz $(PBUILDER_CACHE_DIR)/$${DIST}-$(PBUILDER_ARCH)-base.tgz --buildresult $(CURDIR)/deb-build/$${DIST}" ; \
	    $(PBUILDER_BIN) create $${PBUILDER_OPTS} --othermirror "deb http://archive.ubuntu.com/ubuntu $${DIST} universe" ; \
	    $(PBUILDER_BIN) update $${PBUILDER_OPTS} ; \
	    $(PBUILDER_BIN) build $${PBUILDER_OPTS} deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}.dsc ; \
	done
	@echo "#############################################"
	@echo "Ansible DEB artifacts:"
	@for DIST in $(DEB_DIST) ; do \
	    echo deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_amd64.changes ; \
	done
	@echo "#############################################"

# Build package outside of pbuilder, with locally installed dependencies.
# Install BuildRequires as noted in packaging/debian/control.
.PHONY: local_deb
local_deb: debian
	@for DIST in $(DEB_DIST) ; do \
	    (cd deb-build/$${DIST}/$(NAME)-$(VERSION)/ && $(DEBUILD) -b) ; \
	done
	@echo "#############################################"
	@echo "Ansible DEB artifacts:"
	@for DIST in $(DEB_DIST) ; do \
	    echo deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_amd64.changes ; \
	done

=== docs/docsite/Makefile ===
OS := $(shell uname -s)
SITELIB = $(shell python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"):
FORMATTER=../bin/plugin_formatter.py
TESTING_FORMATTER=../bin/testing_formatter.sh
DUMPER=../bin/dump_keywords.py
CONFIG_DUMPER=../bin/dump_config.py
GENERATE_CLI=../bin/generate_man.py
ifeq ($(shell echo $(OS) | egrep -ic 'Darwin|FreeBSD|OpenBSD|DragonFly'),1)
CPUS ?= $(shell sysctl hw.ncpu|awk '{print $$2}')
else
CPUS ?= $(shell nproc)
endif

# Sets the build output directory if it's not already specified
ifndef BUILDDIR
	BUILDDIR = _build
endif

MODULE_ARGS=
ifdef MODULES
	MODULE_ARGS = -l $(MODULES)
endif

PLUGIN_ARGS=
ifdef PLUGINS
	PLUGIN_ARGS = -l $(PLUGINS)
endif

DOC_PLUGINS ?= cache callback connection inventory lookup shell strategy vars

assertrst:
ifndef rst
	$(error specify document or pattern with rst=somefile.rst)
endif

all: docs

docs: clean htmldocs

generate_rst: staticmin config cli keywords modules plugins testing

htmldocs: generate_rst
	CPUS=$(CPUS) $(MAKE) -f Makefile.sphinx html

singlehtmldocs: generate_rst
	CPUS=$(CPUS) $(MAKE) -f Makefile.sphinx singlehtml

webdocs: docs

#TODO: leaving htmlout removal for those having older versions, should eventually be removed also
clean:
	@echo "Cleaning $(BUILDDIR)"
	-rm -rf $(BUILDDIR)/doctrees
	-rm -rf $(BUILDDIR)/html
	-rm -rf htmlout
	-rm -rf module_docs
	-rm -rf _build
	-rm -f .buildinfo
	-rm -f objects.inv
	-rm -rf *.doctrees
	@echo "Cleaning up minified css files"
	find . -type f -name "*.min.css" -delete
	@echo "Cleaning up byte compiled python stuff"
	find . -regex ".*\.py[co]$$" -delete
	@echo "Cleaning up editor backup files"
	find . -type f \( -name "*~" -or -name "#*" \) -delete
	find . -type f \( -name "*.swp" \) -delete
	@echo "Cleaning up generated rst"
	rm -f rst/modules/*_by_category.rst
	rm -f rst/modules/list_of_*.rst
	rm -f rst/modules/*_maintained.rst
	rm -f rst/modules/*_module.rst
	rm -f rst/modules/*_plugin.rst
	rm -f rst/playbooks_directives.rst
	rm -f rst/plugins/*/*.rst
	rm -f rst/reference_appendices/config.rst
	rm -f rst/reference_appendices/playbooks_keywords.rst

.PHONY: docs clean

# TODO: make generate_man output dir cli option
cli: $(GENERATE_CLI)
	mkdir -p rst/cli
	PYTHONPATH=../../lib $(GENERATE_CLI) --template-file=../templates/cli_rst.j2 --output-dir=rst/cli/ --output-format rst ../../lib/ansible/cli/*.py

keywords: $(FORMATTER) ../templates/playbooks_keywords.rst.j2
	PYTHONPATH=../../lib $(DUMPER) --template-dir=../templates --output-dir=rst/reference_appendices/ -d ./keyword_desc.yml

config:
	PYTHONPATH=../../lib $(CONFIG_DUMPER) --template-file=../templates/config.rst.j2 --output-dir=rst/reference_appendices/ -d ../../lib/ansible/config/base.yml

modules: $(FORMATTER) ../templates/plugin.rst.j2
	PYTHONPATH=../../lib $(FORMATTER) -t rst --template-dir=../templates --module-dir=../../lib/ansible/modules -o rst/modules/ $(MODULE_ARGS)

plugins: $(FORMATTER) ../templates/plugin.rst.j2
	@echo "looping over doc plugins"
	for plugin in $(DOC_PLUGINS); \
	do \
		PYTHONPATH=../../lib $(FORMATTER) -t rst --plugin-type $$plugin --template-dir=../templates --module-dir=../../lib/ansible/plugins/$$plugin -o rst $(PLUGIN_ARGS); \
	done

testing:
	$(TESTING_FORMATTER)

staticmin:
	cat _themes/srtd/static/css/theme.css | sed -e 's/^[ 	]*//g; s/[ 	]*$$//g; s/\([:{;,]\) /\1/g; s/ {/{/g; s/\/\*.*\*\///g; /^$$/d' | sed -e :a -e '$$!N; s/\n\(.\)/\1/; ta' > _themes/srtd/static/css/theme.min.css

epub:
	(CPUS=$(CPUS) $(MAKE) -f Makefile.sphinx epub)

htmlsingle: assertrst
	sphinx-build -j $(CPUS) -b html -d $(BUILDDIR)/doctrees ./rst $(BUILDDIR)/html rst/$(rst)
	@echo "Output is in $(BUILDDIR)/html/$(rst:.rst=.html)"

=== packaging/port/sysutils/ansible/Makefile ===
--- 
+++ 
@@ -13,11 +13,10 @@
 LICENSE=	GPLv3
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-RUN_DEPENDS=	python>2.5:${PORTSDIR}/lang/python \
+RUN_DEPENDS=	python>2.7:${PORTSDIR}/lang/python \
                ${PORTSDIR}/devel/py-Jinja2 \
                ${PORTSDIR}/devel/py-yaml \
                ${PORTSDIR}/security/py-paramiko \
-               ${PORTSDIR}/devel/py-simplejson \
                ${PORTSDIR}/security/py-pycrypto
 
 OPTIONS_DEFINE=	EXAMPLES

=== debian/changelog ===
ansible (2.7.7+dfsg-1+deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Enable autopkgtest
  * Add salsa-ci testing
  * Fix regresion on CVE-2019-10206
  * Fix CVE-2021-3447: A flaw was found in several
    ansible modules, where parameters containing credentials,
    such as secrets, were being logged in plain-text on
    managed nodes, as well as being made visible on the
    controller node when run in verbose mode. These parameters
    were not protected by the no_log feature. An attacker can
    take advantage of this information to steal those credentials,
    provided when they have access to the log files
    containing them. The highest threat from this vulnerability
    is to data confidentiality
  * Fix CVE-2021-3583: A flaw was found in Ansible, where
    a user's controller is vulnerable to template injection.
    This issue can occur through facts used in the template
    if the user is trying to put templates in multi-line YAML
    strings and the facts being handled do not routinely
    include special template characters. This flaw allows
    attackers to perform command injection, which discloses
    sensitive information. The highest threat from this
    vulnerability is to confidentiality and integrity.
  * Fix CVE-2021-3620: A flaw was found in Ansible Engine's
    ansible-connection module, where sensitive information
    such as the Ansible user credentials is disclosed by
    default in the traceback error message. The highest
    threat from this vulnerability is to confidentiality.
  * Fix CVE-2021-20178: A flaw was found in ansible module
    snmp_fact where credentials are disclosed in the console log by
    default and not protected by the security feature
    This flaw allows an attacker to steal privkey and authkey
    credentials. The highest threat from this vulnerability
    is to confidentiality.
  * CVE-2021-20191: A flaw was found in ansible. Credentials,
    such as secrets, are being disclosed in console log by default
    and not protected by no_log feature when using Cisco nxos moduel.
    An attacker can take advantage of this information to steal those
    credentials. The highest threat from this vulnerability is
    to data confidentiality.
  * CVE-2022-3697: A flaw was found in Ansible in the amazon.aws
    collection when using the tower_callback parameter from the
    amazon.aws.ec2_instance module. This flaw allows an attacker
    to take advantage of this issue as the module is handling the
    parameter insecurely, leading to the password leaking in the logs.
  * CVE-2023-5115: An absolute path traversal attack existed
    in the Ansible automation platform. This flaw allows an
    attacker to craft a malicious Ansible role and make the
    victim execute the role. A symlink can be used to
    overwrite a file outside of the extraction path.
    (Closes: #1053693)

 -- Bastien Roucariès <rouca@debian.org>  Thu, 28 Dec 2023 09:32:51 +0000

ansible (2.7.7+dfsg-1+deb10u1) buster-security; urgency=medium

  [ Markus Koschany ]
  * CVE-2019-10156
  * CVE-2019-10206
  * CVE-2019-14846
  * CVE-2019-14864
  * CVE-2019-14904
  * CVE-2020-10684
  * CVE-2020-10685
  * CVE-2020-10729
  * CVE-2020-14330
  * CVE-2020-14332
  * CVE-2020-14365
  * CVE-2020-1733
  * CVE-2020-1735
  * CVE-2020-1739
  * CVE-2020-1740
  * CVE-2020-1746
  * CVE-2020-1753
  * CVE-2021-20228

  [ Lee Garrett ]
  * Add python3-distutils to Depends (Closes: #962332)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 27 Jul 2021 22:09:11 +0200

ansible (2.7.7+dfsg-1) unstable; urgency=high

  * New upstream release
  * Remove Michael Vogt from uploaders. Thanks for your past contributions! 
  * Fix path traversal bug in fetch module (CVE-2019-3828)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 21 Feb 2019 08:44:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all,
-               python-crypto,
-               python-docutils,
-               python-jinja2,
-               python-nose,
-               python-packaging,
-               python-passlib,
-               python-setuptools,
-               python-sphinx,
-               python-sphinx-rtd-theme,
-               python-yaml,
-Standards-Version: 4.2.1
+               python3-all,
+               python3-crypto,
+               python3-docutils,
+               python3-jinja2,
+               python3-nose,
+               python3-packaging,
+               python3-passlib,
+               python3-setuptools,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-yaml,
+               sphinx-common,
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/ansible
 Vcs-Git: https://salsa.debian.org/debian/ansible.git
 Homepage: https://www.ansible.com
@@ -24,20 +25,21 @@
 Package: ansible
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
-         python-crypto,
-         python-yaml,
-         openssh-client | python-paramiko,
-         python-jinja2,
-         python-httplib2,
-         python-netaddr
-Recommends: python-cryptography,
-            python-jmespath,
-            python-kerberos,
-            python-libcloud,
-            python-selinux,
-            python-winrm (>= 0.1.1),
-            python-xmltodict
+         ${python3:Depends},
+         python3-crypto,
+         python3-distutils,
+         python3-yaml,
+         openssh-client | python3-paramiko,
+         python3-jinja2,
+         python3-httplib2,
+         python3-netaddr
+Recommends: python3-cryptography,
+            python3-jmespath,
+            python3-kerberos,
+            python3-libcloud,
+            python3-selinux,
+            python3-winrm (>= 0.1.1),
+            python3-xmltodict
 Suggests: cowsay, sshpass
 Description: Configuration management, deployment, and task execution system
  Ansible is a radically simple model-driven configuration management,
@@ -48,8 +50,10 @@
 
 Package: ansible-doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Section: doc
 Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
          fonts-font-awesome,
          fonts-roboto-fontface,
          libjs-jquery,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ansible
export ANSIBLE_LOCAL_TEMP=debian/.ansible/tmp

DOPACKAGES = $(shell dh_listpackages)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean --exclude=test/units/inventory_test_data/group_vars/noparse/all.yml~

override_dh_auto_build:
	dh_auto_build
ifneq (,$(filter ansible-doc,$(DOPACKAGES)))
	# html documentation
	$(MAKE) webdocs
	# manpage documentation
	$(MAKE) docs
endif

override_dh_auto_test:
	# For now, disable the tests
	# make -k tests-nonet

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: unit-tests-base
# Dependencies sourced from:
# - test/lib/ansible_test/_data/requirements/units.txt
# - test/units/requirements.txt
Depends: @,
         git,
         python3-boto3,
         python3-botocore,
         python3-lxml,
         python3-crypto,
         python3-cryptography,
         python3-jinja2,
         python3-mock,
         python3-passlib,
         python3-pexpect,
         python3-pycryptodome,
         python3-pytest,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-tz,
         python3-winrm,
         python3-yaml,
         python3-nose,

Tests: unit-tests-stable
Depends: @,
         git,
         python3-lxml,
         python3-boto3,
         python3-botocore,
         python3-flake8,
         python3-mock,
         python3-pytest-mock,
         python3-pytest-xdist,
         yamllint,
         python3-nose,
         python3-passlib

## ansible 2.7.7.1

=== test/legacy/Makefile ===
# This Makefile is for legacy integration tests.
# Most new tests should be implemented using ansible-test.
# Existing tests are slowly being migrated to ansible-test.
# See: https://docs.ansible.com/ansible/devel/dev_guide/testing_integration.html

TEST_DIR ?= ~/ansible_testing
INVENTORY ?= inventory
VARS_FILE ?= integration_config.yml

# Create a semi-random string for use when testing cloud-based resources
ifndef CLOUD_RESOURCE_PREFIX
CLOUD_RESOURCE_PREFIX := $(shell python -c "import string,random; print('ansible-testing-' + ''.join(random.choice(string.ascii_letters + string.digits) for _ in range(8)));")
endif

CREDENTIALS_FILE ?= credentials.yml
# If credentials.yml exists, use it
ifneq ("$(wildcard $(CREDENTIALS_FILE))","")
CREDENTIALS_ARG = -e @$(CREDENTIALS_FILE)
else
CREDENTIALS_ARG =
endif

# http://unix.stackexchange.com/questions/30091/fix-or-alternative-for-mktemp-in-os-x
MYTMPDIR = $(shell mktemp -d 2>/dev/null || mktemp -d -t 'mytmpdir')

VAULT_PASSWORD_FILE = vault-password

CONSUL_RUNNING := $(shell python consul_running.py)
EUID := $(shell id -u -r)

UNAME := $(shell uname | tr '[:upper:]' '[:lower:]')

setup:
	rm -rf $(TEST_DIR)
	mkdir -p $(TEST_DIR)

cloud: amazon rackspace azure

cloud_cleanup: amazon_cleanup rackspace_cleanup

amazon_cleanup:
	python cleanup_ec2.py -y --match="^$(CLOUD_RESOURCE_PREFIX)"

azure_cleanup:
	python cleanup_azure.py -y --match="^$(CLOUD_RESOURCE_PREFIX)"

gce_setup:
	python setup_gce.py "$(CLOUD_RESOURCE_PREFIX)"

gce_cleanup:
	python cleanup_gce.py -y --match="^$(CLOUD_RESOURCE_PREFIX)"

rackspace_cleanup:
	python cleanup_rax.py -y --match="^$(CLOUD_RESOURCE_PREFIX)"

$(CREDENTIALS_FILE):
	@echo "No credentials file found.  A file named '$(CREDENTIALS_FILE)' is needed to provide credentials needed to run cloud tests.  See sample 'credentials.template' file."
	@exit 1

amazon: $(CREDENTIALS_FILE)
	ANSIBLE_HOST_KEY_CHECKING=False ANSIBLE_PIPELINING=no BOTO_CONFIG=/dev/null ansible-playbook amazon.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make amazon_cleanup ; \
    exit $$RC;

azure: $(CREDENTIALS_FILE)
	ANSIBLE_HOST_KEY_CHECKING=False ansible-playbook azure.yml -i $(INVENTORY) $(CREDENTIALS_ARG) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make azure_cleanup ; \
    exit $$RC;

gce: $(CREDENTIALS_FILE)
	CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make gce_setup ; \
    ansible-playbook gce.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make gce_cleanup ; \
    exit $$RC;

rackspace: $(CREDENTIALS_FILE)
	ansible-playbook rackspace.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make rackspace_cleanup ; \
    exit $$RC;

exoscale:
	ansible-playbook exoscale.yml -i $(INVENTORY) -e @$(VARS_FILE) -v $(TEST_FLAGS) ; \
	RC=$$? ; \
	exit $$RC;

jenkins:
	ansible-playbook jenkins.yml -i $(INVENTORY) -e @$(VARS_FILE) -v $(TEST_FLAGS) ; \
	RC=$$? ; \
	exit $$RC;

cloudflare: $(CREDENTIALS_FILE)
	ansible-playbook cloudflare.yml -i $(INVENTORY) -e @$(VARS_FILE) -e @$(CREDENTIALS_FILE) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
	RC=$$? ; \
	exit $$RC;

cloudscale:
	ansible-playbook cloudscale.yml -i $(INVENTORY) -e @$(VARS_FILE) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
	RC=$$? ; \
	exit $$RC;

$(CONSUL_RUNNING):

consul:
ifeq ($(CONSUL_RUNNING), True)
	ansible-playbook -i $(INVENTORY) consul.yml ; \
	ansible-playbook -i ../../contrib/inventory/consul_io.py consul_inventory.yml
else
	@echo "Consul agent is not running locally. To run a cluster locally see http://github.com/sgargan/consul-vagrant"
endif

test_galaxy: test_galaxy_spec test_galaxy_yaml test_galaxy_git

test_galaxy_spec: setup
	mytmpdir=$(MYTMPDIR) ; \
	ansible-galaxy install -r galaxy_rolesfile -p $$mytmpdir/roles -vvvv ; \
    cp galaxy_playbook.yml $$mytmpdir ; \
    ansible-playbook -i $(INVENTORY) $$mytmpdir/galaxy_playbook.yml -e @$(VARS_FILE) -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    rm -rf $$mytmpdir ; \
    exit $$RC

test_galaxy_yaml: setup
	mytmpdir=$(MYTMPDIR) ; \
	ansible-galaxy install -r galaxy_roles.yml -p $$mytmpdir/roles -vvvv; \
    cp galaxy_playbook.yml $$mytmpdir ; \
    ansible-playbook -i $(INVENTORY) $$mytmpdir/galaxy_playbook.yml -e @$(VARS_FILE) -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    rm -rf $$mytmpdir ; \
    exit $$RC

test_galaxy_git: setup
	mytmpdir=$(MYTMPDIR) ; \
	ansible-galaxy install git+https://bitbucket.org/willthames/git-ansible-galaxy,v1.6 -p $$mytmpdir/roles -vvvv; \
    cp galaxy_playbook_git.yml $$mytmpdir ; \
    ansible-playbook -i $(INVENTORY) $$mytmpdir/galaxy_playbook_git.yml -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    rm -rf $$mytmpdir ; \
    exit $$RC

=== debian/changelog ===
ansible (2.7.7.1-1+security) unstable; urgency=medium

  * update

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 24 Jun 2021 17:56:14 +0800

## ansible 2.7.8+dfsg

=== debian/changelog ===
ansible (2.7.8+dfsg-1ubuntu0.19.04.1) disco-security; urgency=medium

  * SECURITY UPDATE: Sensitive information could be exposed to remote node.
    - debian/patches/CVE-2019-10156-1.patch: Don't pass locals.
    - debian/patches/CVE-2019-10156-2.patch: Fixed tests.
    - CVE-2019-10156

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 11 Jul 2019 15:42:59 -0300

ansible (2.7.8+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Remove patch for CVE-2019-3828 (applied upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 02 Mar 2019 20:33:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ansible
-Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Lee Garrett <debian@rocketjump.eu>
 Section: admin
 Priority: optional
@@ -27,7 +28,6 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-crypto,
-         python3-distutils,
          python3-yaml,
          openssh-client | python3-paramiko,
          python3-jinja2,

## ansible 2.8.3+dfsg

=== debian/changelog ===
ansible (2.8.3+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #932288)
  * This release fixes CVE-2019-10156 (Closes: #930065)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 01 Aug 2019 10:39:19 -0300

## ansible 2.9.4+dfsg

=== debian/changelog ===
ansible (2.9.4+dfsg-1) unstable; urgency=medium

  * The "Greetings from Banja Luka" release
  * New upstream release
  * Added python3-distutils to Depends (Thanks to Matthias Luescher!)
  * Fix vulnerability in solaris_zone module via crafted solaris zone
    (CVE-2019-14904)
  * Fix "malicious code could craft filename in nxos_file_copy module"
    (CVE-2019-14905)

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 10 Feb 2020 15:49:29 +0100

ansible (2.9.2+dfsg-1) unstable; urgency=medium

  * The "Greetings from the 36c3" release.
  * New upstream release (Closes: #946245)
  * Fix Splunk and Sumologic callback plugin logging sensitive data
    (CVE-2019-14864) (Closes: #943768)
  * Fix parameters marked with "no_log" in suboptions when invalid
    parameters are passed to the module (CVE-2019-14858) (Closes: #943768)
  * Fix for CVE-2019-14856
  * Fix for CVE-2019-10156
  * Fix for CVE-2019-10206
  * Add python3-dnspython to Depends (Closes: #941020)
  * add python3-argcomplete to Recommends, allowing bash completion
  * Stop shipping ansible-test.

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 30 Dec 2019 21:31:13 +0100

ansible (2.8.6+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix for CVE-2019-14846, CVE-2019-14856, CVE-2019-14858 (v2.8.6)
  * Fix for CVE-2019-10217, CVE-2019-10206 (fixed in v2.8.4)

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 28 Oct 2019 22:13:01 +0100

## ansible 2.9.6%2Bdfsg

=== test/integration/targets/binary_modules/Makefile ===
.PHONY: all clean

all:
	# Compiled versions of these binary modules are available at the url below.
	# This avoids a dependency on go and keeps the binaries out of our git repository.
	# https://ansible-ci-files.s3.amazonaws.com/test/integration/roles/test_binary_modules/
	cd library; \
	GOOS=linux   GOARCH=amd64 go build -o helloworld_linux       helloworld.go; \
	GOOS=windows GOARCH=amd64 go build -o helloworld_win32nt.exe helloworld.go; \
	GOOS=darwin  GOARCH=amd64 go build -o helloworld_darwin      helloworld.go; \
	GOOS=freebsd GOARCH=amd64 go build -o helloworld_freebsd     helloworld.go

clean:
	rm -f library/helloworld_*
